Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Typedefs
Topology Objects

## Data Structures

struct | hwloc_obj_memory_s
| Object memory. More...
struct | hwloc_obj
| Structure of a topology object. More...
union | hwloc_obj_attr_u
| Object type-specific Attributes. More...
struct | hwloc_distances_s
| Distances between objects. More...
struct | hwloc_obj_info_s
| Object info. More...

## Typedefs

typedef struct hwloc_obj * | hwloc_obj_t

## Typedef Documentation

typedef struct hwloc_obj* hwloc_obj_t

Convenience typedef; a pointer to a struct hwloc_obj.